<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010-now Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Layout\LayoutHelper;

$displayData = [
	'textPrefix' => 'COM_ABOOK_AUTHORS',
	'formURL'    => 'index.php?option=com_abook&view=authors',
	'icon'       => 'icon-users authors',
];

$user = Factory::getApplication()->getIdentity();

if ($user->authorise('core.create', 'com_abook') || count($user->getAuthorisedCategories('com_abook', 'core.create')) > 0)
{
	$displayData['createURL'] = 'index.php?option=com_abook&task=author.add';
}

echo LayoutHelper::render('joomla.content.emptystate', $displayData);
