<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010-now Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\HTML\HTMLHelper;
jimport('joomla.html.html.bootstrap');
?>
<div class="row">
	<div class="col-md-3 mb-3">
		<?php echo HTMLHelper::_('bootstrap.startAccordion', 'slide-cpanel', array('active' => 'donation')); ?>
		<?php echo HTMLHelper::_('bootstrap.addSlide', 'slide-cpanel', JText::_('COM_ABOOK_FIELDSET_DONATION'), 'donation'); ?>
		<div class="text-center">
			<p><?php echo JText::_( 'COM_ABOOK_DONATE' ); ?></p>
        	        <form action="https://www.paypal.com/cgi-bin/webscr" method="post">
                		<div style="width: 200px; margin: 0px auto;">
                        		<input type="hidden" name="cmd" value="_s-xclick">
                                	<input type="hidden" name="hosted_button_id" value="ET22PSKAWS44L">
	                                <input type="image" src="https://service.globalhub.it/paypal/donate.php" border="0" name="submit" alt="PayPal — The safer, easier way to pay online.">
        	                        <img alt="" border="0" src="https://www.paypalobjects.com/it_IT/i/scr/pixel.gif" width="1" height="1">
                	        </div>
	                </form>
			<hr>
			<?php
				$options = array(
					'rssUrl' => 'https://service.globalhub.it/alt/donate.xml',
			        );
			        $xml = simplexml_load_file($options['rssUrl']);
			?>
			<div>
				<img src="<?php echo $xml->symbol;?>" style="vertical-align: middle; margin-right: 5px;" width="30px">Donate <br>
				<a href="bitcoin:<?php echo $xml->address;?>"><span style="word-break: break-all;"><?php echo $xml->address;?></span></a>
			</div>
			<div class="text-center">
				<img class="img-fluid" style="max-width:250px;" src="<?php echo $xml->image;?>">
			</div>
		</div>
		<?php echo HTMLHelper::_('bootstrap.endSlide'); ?>
		<?php echo HTMLHelper::_('bootstrap.addSlide', 'slide-cpanel', JText::_('COM_ABOOK_FIELDSET_LICENSE'), 'license'); ?>
        		<p><?php echo JText::_( 'COM_ABOOK_LICENSE1' ); ?></p>
	                <p><?php echo JText::_( 'COM_ABOOK_LICENSE2' ); ?></p>
        	        <p><?php echo JText::_( 'COM_ABOOK_LICENSE3' ); ?></p>
		<?php echo HTMLHelper::_('bootstrap.endSlide'); ?>
		<?php echo HTMLHelper::_('bootstrap.endAccordion');?>
	</div>
	<div class="col-md-9">
		<div class="row">
			<div class="col-md-6">
				<div class="card mb-3">
					<div class="card-header"><h2 class="flex-grow-1"><?php echo JText::_('COM_ABOOK_BOOKS'); ?></h2><span class="badge bg-secondary"><?php echo $this->books['total']; ?></span></div>
					<div class="card-body">
						<div class="row">
							<div class="col-12">
							<?php echo JText::_('COM_ABOOK_PUBLISHED'); ?>
							<span class="badge bg-success float-end"><?php echo $this->books['published']; ?></span>
							</div>
						</div>
						<div class="row">
							<div class="col-12">
                        		        	<?php echo JText::_('COM_ABOOK_UNPUBLISHED'); ?>
							<span class="badge bg-danger float-end"><?php echo $this->books['unpublished']; ?></span>
							</div>
		                                </div>
					</div>
				</div>
			</div>
		        <div class="col-md-6">
        		        <div class="card mb-3">
                		        <div class="card-header"><h2 class="flex-grow-1"><?php echo JText::_('COM_ABOOK_CATEGORIES'); ?></h2><span class="badge bg-secondary"><?php echo $this->categories['total']; ?></span></div>
                        		<div class="card-body">
                                		<div class="row">
							<div class="col-12">
                                        	        	<?php echo JText::_('COM_ABOOK_PUBLISHED'); ?>
								<span class="badge bg-success float-end"><?php echo $this->categories['published']; ?></span>
							</div>
	        	                        </div>
        	        	                <div class="row">
							<div class="col-12">
                	                	                <?php echo JText::_('COM_ABOOK_UNPUBLISHED'); ?>
								<span class="badge bg-danger float-end"><?php echo $this->categories['unpublished']; ?></span>
							</div>
        	                        	</div>
	        	                </div>
        	        	</div>
		        </div>
		</div>
		<div class="row">
			<div class="col-md-6">
                		<div class="card mb-3">
                        		<div class="card-header"><h2 class="flex-grow-1"><?php echo JText::_('COM_ABOOK_AUTHORS'); ?></h2><span class="badge bg-info"><?php echo $this->authors['total']; ?></span></div>
		                </div>
        		</div>
			<div class="col-md-6">
        	        	<div class="card mb-3">
                	        	<div class="card-header"><h2 class="flex-grow-1"><?php echo JText::_('COM_ABOOK_EDITORS'); ?></h2><span class="badge bg-info"><?php echo $this->editors['total']; ?></span></div>
		                </div>
        		</div>
		</div>
		<div class="row">
			<div class="col-md-6">
                		<div class="card mb-3">
                        		<div class="card-header"><h2 class="flex-grow-1"><?php echo JText::_('COM_ABOOK_LIBRARIES'); ?></h2><span class="badge bg-info"><?php echo $this->libraries['total']; ?></span></div>
		                </div>
        		</div>
	        	<div class="col-md-6">
        	        	<div class="card mb-3">
                	        	<div class="card-header"><h2 class="flex-grow-1"><?php echo JText::_('COM_ABOOK_LOCATIONS'); ?></h2><span class="badge bg-info"><?php echo $this->locations['total']; ?></span></div>
		                </div>
        		</div>
		</div>
		<div class="row">
			<div class="col-12">
		                <div class="card mb-3">
                		        <div class="card-header"><h2><?php echo JText::_('COM_ABOOK_FIELDSET_MOST_READ');?></h2></div>
					<div class="card-body">
						<table class="table">
							<tr>
								<th><?php echo JText::_('COM_ABOOK_TITLE');?></th>
								<th class="text-end w-10"><?php echo JText::_('COM_ABOOK_HITS');?></th>
							</tr>
			                        <?php
                        			$k = 0;
			                        for ($i=0, $n=count( $this->mostread ); $i < $n; $i++){
                        				$row = &$this->mostread[$i];?>
			                                	<tr>
									<td>
                                        					<a href="<?php echo JRoute::_( 'index.php?option=com_abook&view=book&layout=edit&id='. $row->id );?>"><?php echo $row->title; ?></a>
									</td>
									<td class="text-end">
				                                        	<span class="badge bg-info"><?php echo $row->hits; ?></span>
									</td>
			                                        </tr>
                        			        <?php
			                                $k = 1 - $k;
			                        } ?>
						</table>
					</div>
		                </div>
			</div>
	        </div>
		<div class="row">
			<div class="col-12">
		                <div class="card mb-3">
                		        <div class="card-header"><h2><?php echo JText::_('COM_ABOOK_FIELDSET_MOST_RATED');?></h2></div>
					<div class="card-body">
						<table class="table">
			                                <tr>
                        			                <th><?php echo JText::_('COM_ABOOK_TITLE');?></th>
			                                        <th class="text-end w-10"><?php echo JText::_('COM_ABOOK_RATING');?></th>
			                                </tr>
			                       	<?php
			                        $k = 0;
			                        for ($i=0, $n=count( $this->mostrated ); $i < $n; $i++){
			                                $row = &$this->mostrated[$i];?>
                        			        	<tr>
									<td>
			                                        	<a href="<?php echo JRoute::_( 'index.php?option=com_abook&view=book&layout=edit&id='. $row->id );?>"><?php echo $row->title; ?></a>
									</td>
									<td  class="text-end">
										<?php
										$html = "";
										$img= "";
										// look for images in template if available
					                			$starImageOn = JHTML::_('image','system/rating_star.png', NULL, NULL, true);
			        		        			$starImageOff = JHTML::_('image','system/rating_star_blank.png', NULL, NULL, true);
			                					for ($s=0; $s < $row->rating; $s++) {
					                        			$img .= $starImageOn;
					               				}
			        		        			for ($s=$row->rating; $s < 5; $s++) {
			                        					$img .= $starImageOff;
			                					}
					                			$html .= '<span class="content_rating pull-right">';
						               			$html .= $img .'&#160;/&#160;';
			        		        			$html .= $row->rating_count;
			                					$html .= "</span>\n<br />\n";
										echo $html;
										?>
									</td>
								</tr>
				                                <?php
				                                $k = 1 - $k;
					                	} ?>
						</table>
					</div>
                		</div>
			</div>
        	</div>
		<div class="row">
			<div class="col-12">
                		<div class="card mb-3">
		                        <div class="card-header"><h2><?php echo JText::_('COM_ABOOK_FIELDSET_MOST_LENT');?></h2></div>
					<div class="card-body">
						<table class="table">
                        			        <tr>
			                                        <th><?php echo JText::_('COM_ABOOK_TITLE');?></th>
			                                        <th class="text-end w-10"><?php echo JText::_('COM_ABOOK_LENT');?></th>
			                                </tr>
				                <?php
				                $k = 0;
			                        for ($i=0, $n=count( $this->mostlent ); $i < $n; $i++){
                        			        $row = &$this->mostlent[$i];?>
		                                        <tr>
								<td>
	                        		                        <?php echo $row->title; ?>
								</td>
								<td class="text-end">
		        	                                        <span class="badge bg-info"><?php echo $row->amount; ?></span>
								</td>
		                                        </tr>
		                                <?php
		                                $k = 1 - $k;
			                        } ?>
						</table>
					</div>
                		</div>
			</div>
        	</div>
	</div>
</div>
<div class="clearfix"></div>
<p><?php echo JHTML::_('credit.credit');?></p>
