<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010-now Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
// no direct access
defined('_JEXEC') or die;
JHtml::addIncludePath(JPATH_COMPONENT.DIRECTORY_SEPARATOR.'helpers');
$pageClass = $this->params->get('pageclass_sfx');
$htag    = $this->params->get('show_page_heading') ? 'h2' : 'h1';
?>
<div class="item-page<?php echo $pageClass;?>">
	<?php if ($this->params->def('show_page_heading', 1)) : ?>
		<h1><?php echo $this->params->get( 'page_heading');?></h1>
	<?php endif; ?>
	<?php if ($this->params->get( 'search', 1 )== 1) { ?>
                <?php echo JHTML::_('icon.search');?>
                <div class="clr"></div>
        <?php } ?>
        <?php if ($this->params->get( 'breadcrumb', 2 )== 2) { ?>
                <div class="abook-path">
                        <?php echo JHTML::_('icon.breadcrumb', $this->path);?>
                </div>
        <div class="clr"></div>
        <?php } ?>
        <<?php echo $htag; ?>><?php echo $this->author->author_name; ?></<?php echo $htag; ?>>
	<div class="abook_category_desc">
	<?php if ($this->author->image) : ?>
		<div class="item-image">
			<img src="<?php echo $this->author->image; ?>" class="img-polaroid cat-image" alt="<?php echo $this->author->author_name; ?>"/>
		</div>
	<?php endif; ?>
	<?php if ($this->author->description) : ?>
		<?php echo $this->author->description; ?>
	<?php endif; ?>
		<div class="clr"></div>
	        <hr class="separator<?php echo $pageClass;?>" />
	</div>
	<?php if (!empty($this->items)){ ?>
		<h3 class="<?php echo $pageClass; ?>"><?php echo JText::_('COM_ABOOK_PUBLICATIONS_BY_AUTHOR');?></h3>
		<?php echo $this->loadTemplate('items'); ?>
	<?php } ?>
</div>
